<html>
<head>
<title>OgreGLATIFSInit.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLATIFSInit.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLATIFSInit_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    ATI fragment shader Extension header file.</span>
<a name="l00003"></a>00003 <span class="comment">    setup by NFZ</span>
<a name="l00004"></a>00004 <span class="comment">    extracted from ATI 8500 SDK</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">** GL_ATI_fragment_shader</span>
<a name="l00007"></a>00007 <span class="comment">**</span>
<a name="l00008"></a>00008 <span class="comment">** Support:</span>
<a name="l00009"></a>00009 <span class="comment">**   Rage 128 * based  : Not Supported</span>
<a name="l00010"></a>00010 <span class="comment">**   Radeon   * based  : Not Supported</span>
<a name="l00011"></a>00011 <span class="comment">**   R200     * based  : Supported</span>
<a name="l00012"></a>00012 <span class="comment">**   R200 : 8500, 9000, 9100, 9200</span>
<a name="l00013"></a>00013 <span class="comment">**   also works on R300 but pointless since ARBFP1.0 supported</span>
<a name="l00014"></a>00014 <span class="comment">*/</span>
<a name="l00015"></a>00015 
<a name="l00016"></a>00016 
<a name="l00017"></a>00017 <span class="preprocessor">#ifndef _GL_ATI_FRAGMENT_SHADER_H_</span>
<a name="l00018"></a>00018 <span class="preprocessor"></span><span class="preprocessor">#define _GL_ATI_FRAGMENT_SHADER_H_</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span>
<a name="l00020"></a>00020 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLSupport_8h.html">OgreGLSupport.h</a>&quot;</span>
<a name="l00021"></a>00021 
<a name="l00022"></a>00022 <span class="comment">// ATI_fragment_program functions</span>
<a name="l00023"></a>00023 <span class="keyword">extern</span> PFNGLGENFRAGMENTSHADERSATIPROC        <a class="code" href="OgreGLATIFSInit_8h.html#a78481bfe7a49faab3b4ce3019be0da03">glGenFragmentShadersATI_ptr</a>;
<a name="l00024"></a>00024 <span class="keyword">extern</span> PFNGLBINDFRAGMENTSHADERATIPROC        <a class="code" href="OgreGLATIFSInit_8h.html#ae9814e6c0179dc0ac79499d8312aa788">glBindFragmentShaderATI_ptr</a>;
<a name="l00025"></a>00025 <span class="keyword">extern</span> PFNGLDELETEFRAGMENTSHADERATIPROC      <a class="code" href="OgreGLATIFSInit_8h.html#a38f5e28762e4f9ff0902c568cfa8ee84">glDeleteFragmentShaderATI_ptr</a>;
<a name="l00026"></a>00026 <span class="keyword">extern</span> PFNGLBEGINFRAGMENTSHADERATIPROC       <a class="code" href="OgreGLATIFSInit_8h.html#ac6e7be47ca475350583bb220ede8398d">glBeginFragmentShaderATI_ptr</a>;
<a name="l00027"></a>00027 <span class="keyword">extern</span> PFNGLENDFRAGMENTSHADERATIPROC         <a class="code" href="OgreGLATIFSInit_8h.html#a2e8f1f618fec1442de15e6bd61267fb4">glEndFragmentShaderATI_ptr</a>;
<a name="l00028"></a>00028 <span class="keyword">extern</span> PFNGLPASSTEXCOORDATIPROC              <a class="code" href="OgreGLATIFSInit_8h.html#abf69d0ea3c86f1de1828f72af54c1d16">glPassTexCoordATI_ptr</a>;
<a name="l00029"></a>00029 <span class="keyword">extern</span> PFNGLSAMPLEMAPATIPROC                 <a class="code" href="OgreGLATIFSInit_8h.html#a895a670f89172c12ffb5ea675682894c">glSampleMapATI_ptr</a>;
<a name="l00030"></a>00030 <span class="keyword">extern</span> PFNGLCOLORFRAGMENTOP1ATIPROC          <a class="code" href="OgreGLATIFSInit_8h.html#aff166f57c569c3f39c2e61bd8bf67d29">glColorFragmentOp1ATI_ptr</a>;
<a name="l00031"></a>00031 <span class="keyword">extern</span> PFNGLCOLORFRAGMENTOP2ATIPROC          <a class="code" href="OgreGLATIFSInit_8h.html#a0aa03f3894d0d42aa4602c4991376c17">glColorFragmentOp2ATI_ptr</a>;
<a name="l00032"></a>00032 <span class="keyword">extern</span> PFNGLCOLORFRAGMENTOP3ATIPROC          <a class="code" href="OgreGLATIFSInit_8h.html#a36ac91ab5e5f6c8d0e955803f4c6edc4">glColorFragmentOp3ATI_ptr</a>;
<a name="l00033"></a>00033 <span class="keyword">extern</span> PFNGLALPHAFRAGMENTOP1ATIPROC          <a class="code" href="OgreGLATIFSInit_8h.html#a4274f1cd7760a2c39d5a2227c8ccec8f">glAlphaFragmentOp1ATI_ptr</a>;
<a name="l00034"></a>00034 <span class="keyword">extern</span> PFNGLALPHAFRAGMENTOP2ATIPROC          <a class="code" href="OgreGLATIFSInit_8h.html#aa9da27151b2aef075f085f02516ce35b">glAlphaFragmentOp2ATI_ptr</a>;
<a name="l00035"></a>00035 <span class="keyword">extern</span> PFNGLALPHAFRAGMENTOP3ATIPROC          <a class="code" href="OgreGLATIFSInit_8h.html#a643e71fa7b81313c89ad873d91158edc">glAlphaFragmentOp3ATI_ptr</a>;
<a name="l00036"></a>00036 <span class="keyword">extern</span> PFNGLSETFRAGMENTSHADERCONSTANTATIPROC <a class="code" href="OgreGLATIFSInit_8h.html#aca19da1e21780d7678d2033afacb8f52">glSetFragmentShaderConstantATI_ptr</a>;
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keywordtype">bool</span> <a class="code" href="OgreGLATIFSInit_8h.html#a94cae592733859102da037c0faf73fbd">InitATIFragmentShaderExtensions</a>(<a class="code" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a>&amp; glSupport);
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="preprocessor">#endif  //_GL_ATI_FRAGMENT_SHADER_H_</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
